Add Ip Pool To Network Of Network Pool

Add Ip Pool To Network Of Network Pool
Add an IP Pool to a Network of a Network Pool

Add an IP Pool to a Network of a Network Pool

Request
URI
POST
https://{api_host}/v1/network-pools/{id}/networks/{networkId}/ip-pools
COPY
Path Parameters
string
id
Required  

Id of the networkpoolk

string
networkId
Required  

Id of the network


Request Body
IpPool of type(s) application/json
Required  
{
    "start": "string",
    "end": "string"
}
string
start
Required  
Constraints: minLength: 1

Start IP address of the IP pool

string
end
Required  
Constraints: minLength: 1

End IP address of the IP pool

Responses
200

Add the IP Pool associated with a Network of a Network Pool

Returns Network of type(s) application/json
{
    "id": "string",
    "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
    "ipAddressVersion": "IPv6",
    "ipAddressAssignmentMode": "SLAAC",
    "vlanId": 0,
    "mtu": 0,
    "subnet": "string",
    "mask": "string",
    "gateway": "string",
    "ipPools": [
        {
            "start": "string",
            "end": "string"
        }
    ],
    "freeIps": [
        "string"
    ],
    "usedIps": [
        "string"
    ],
    "usedIpCount": "string",
    "freeIpCount": "string"
}
string
id
Read-Only  

The ID of the network

string
type
Required  
Constraints: minLength: 1

Network Type of the network

string
ipAddressVersion
Optional
Constraints: default: IPv4

IP Address version. One among: IPv4, IPv6

string
ipAddressAssignmentMode
Optional
Constraints: default: STATIC

IP Address assignment mode. One among: STATIC, DHCP, SLAAC

integer As int32 As int32
vlanId
Required  

VLAN ID associated with the network

integer As int32 As int32
mtu
Required  

MTU of the network

string
subnet
Optional

Subnet associated with the network

string
mask
Optional

Subnet mask for the subnet of the IPv4 network

string
gateway
Optional

Gateway for the network

array of object
ipPools
Optional

List of IP pool ranges to use

array of string
freeIps
Read-Only  

List of free IPs to use

array of string
usedIps
Read-Only  

List of used IPs

string
usedIpCount
Read-Only  

Count of used IPs

string
freeIpCount
Read-Only  

Count of free IPs


400

IP range validation failed error

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


404

Either Network Pool ID or Network ID not found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Unexpected error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"end":"string","start":"string"}' https://{api_host}/v1/network-pools/{id}/networks/{networkId}/ip-pools